<template lang="pug">
  main-layout(width="800" content="align-center")
    template(v-slot:header="")
      header-block

    template(v-slot:content="")
      .b-content
        .b-content__title Отчеты
          v-container(
            grid-list-md
          )
            select-report
            router-view

    template(v-slot:footer="")
      footer-block
</template>

<script>
import HeaderBlock from '../components/header/index.vue';
import FooterBlock from '../components/footer/index.vue';
import MainLayout from '../components/layout/index.vue';
import Login from '../components/login/index.vue';
import DateFromTo from '../components/dateFromTo/index.vue';
import SelectReport from '../components/select-report/index.vue';

export default {
  name: 'AuthPage',
  components: {
    HeaderBlock,
    FooterBlock,
    MainLayout,
    Login,
    DateFromTo,
    SelectReport,
  },
  data() {
    return {
      dateBegin: '',
      dateEnd: '',
    };
  },
};
</script>
